package it.arnaldo.unibs.tamagolem;

import it.kibo.fp.lib.InputData;
import it.kibo.fp.lib.Menu;

public class GameLoop {
    private Game game;

    public void start() {
        String[] firstMenuEntries = {"New game"};
        Menu firstMenu = new Menu("TamaGolem", firstMenuEntries, true, true, false);
        int firstmenuChoise;

        do {
            createNewGame();
            game.start();
            firstmenuChoise = firstMenu.choose();
         } while (firstmenuChoise == 1);
    }

    public void createNewGame() {
        String[] diffucultyMenuEntries = {"Easy", "Medium", "Hard"};
        Menu difficultyMenu = new Menu("Select Mode", diffucultyMenuEntries, true, true, false);

        Player p1 = new Player(InputData.readNonEmptyString("""
                   \s
                    Player 1:
                    \tChoose your name:\s""", true));

        Player p2 = new Player(InputData.readNonEmptyString("""
               \s
                Player 2:
                \tChoose your name:\s""", true));

        int difficultyChoise = difficultyMenu.choose();
        Modes difficulty = null;

        switch (difficultyChoise){
            case 1 ->  difficulty = Modes.EASY;
            case 2 -> difficulty = Modes.MEDIUM;
            case 3 -> difficulty = Modes.HARD;
        }

        game = new Game(p1, p2, WorldBuilder.buildWorld(difficulty));
    }
}
