package it.arnaldo.unibs.tamagolem;

public class Pair {
    private final Element first;
    private final Element second;

    Pair(Element first, Element second) {
        this.first = first;
        this.second = second;
    }

    public Element getFirst() {
        return first;
    }

    public Element getSecond() {
        return second;
    }

    @Override
    public String toString(){
        return "(" + first.toString() + ", " + second.toString() + ")";
    }
}